// Copyright 2017 The Gogs Authors. All rights reserved.
// Use of this source code is governed by a MIT-style
// license that can be found in the LICENSE file.

package errors

import "fmt"

type InvalidIssueReference struct {
	Ref string
}

func IsInvalidIssueReference(err error) bool {
	_, ok := err.(InvalidIssueReference)
	return ok
}

func (err InvalidIssueReference) Error() string {
	return fmt.Sprintf("invalid issue reference [ref: %s]", err.Ref)
}
